package com.loafle.overflow.module.discovery.service;

import com.loafle.overflow.commons.service.MessagePublisher;
import com.loafle.overflow.module.discovery.model.DiscoveryStartInfo;
import org.codehaus.jackson.map.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;

/**
 * Created by snoop on 17. 9. 28.
 */
@Service("DiscoveryService")
public class DiscoveryService {

    @Autowired
    private MessagePublisher messagePublisher;

    public void startDiscovery(DiscoveryStartInfo startInfo) throws IOException {

        ObjectMapper objectMapper = new ObjectMapper();

        String json = objectMapper.writeValueAsString(startInfo);

        System.out.println("Start Discovery");
        System.out.println(json);
//        this.messagePublisher.publishToProbe("/auth", noAuthProbe.getTempProbeKey(), "NoAuthProbeService.acceptNoAuthProbe", probe.getProbeKey());
    }
}
